curl --request POST \
--url https://staging.crossmint.com/api/v1-alpha2/wallets/{walletLocator}/balances \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"amount": 10,
"chain": "base-sepolia",
"token": "usdxm"
}
'[
{
"balances": {
"base": "121000000",
"ethereum": "121000000",
"total": "242000000"
},
"decimals": 6,
"token": "usdc"
},
{
"balances": {
"ethereum": "1000000000000000000",
"total": "1000000000000000000"
},
"decimals": 18,
"token": "eth"
}
]{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}REST
Fund Wallet
Send funds to a wallet.
API scope required: wallets.fund
POST
/
v1-alpha2
/
wallets
/
{walletLocator}
/
balances
curl --request POST \
--url https://staging.crossmint.com/api/v1-alpha2/wallets/{walletLocator}/balances \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"amount": 10,
"chain": "base-sepolia",
"token": "usdxm"
}
'[
{
"balances": {
"base": "121000000",
"ethereum": "121000000",
"total": "242000000"
},
"decimals": 6,
"token": "usdc"
},
{
"balances": {
"ethereum": "1000000000000000000",
"total": "1000000000000000000"
},
"decimals": 18,
"token": "eth"
}
]{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}This is an alpha API and subject to change.
This endpoint is only available in staging and only supports USDXM.
Authorizations
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<walletType>userId:<userId>:<walletType>userId:<userId>:<walletType>(white label user example)phoneNumber:<phoneNumber>:<walletType>twitter:<handle>:<walletType>x:<handle>:<walletType>me:<walletType>(Use when calling from the client side with a client API key)
Body
application/json
The amount of currency to fund the wallet with. Between 1 and 100
Required range:
1 <= x <= 100Example:
10
The chain to fund the wallet with
Available options:
arbitrum-sepolia, avalanche-fuji, base-sepolia, ethereum-sepolia, optimism-sepolia, polygon-amoy, sei-atlantic-2-testnet, skale-nebula-testnet, solana, stellar Example:
"base-sepolia"
The currency to fund the wallet with. Only USDXM is supported.
Allowed value:
"usdxm"Example:
"usdxm"
Response
Funds sent successfully.
The balance of the wallet in different chains
Show child attributes
Show child attributes
The number of decimals of the token
Example:
18
The token
Available options:
alphausd, ape, apt, aurosusd, avax, betausd, bnb, bonk, busd, celo, chz, credit, degen, eth, eurc, flow, fuel, hbar, ip, matic, mgusd, mnt, pathusd, phantom-cash, pirate, plume, pol, pyusd0, sei, sfuel, sol, sui, superverse, thetausd, u2u, usdc, usdce, usdf, usdg, usdm0, usdm1, usdt, usdxm, vic, weth, wirex-usdc, wirex-usdc, wld, xion, xlm, xmeme, zcx Example:
"eth"
Example:
[
{
"balances": {
"base": "121000000",
"ethereum": "121000000",
"total": "242000000"
},
"decimals": 6,
"token": "usdc"
},
{
"balances": {
"ethereum": "1000000000000000000",
"total": "1000000000000000000"
},
"decimals": 18,
"token": "eth"
}
]
Was this page helpful?

